Get container by ID
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Container ID
Response
Get container by ID
The image name pattern differs according to chosen container registry provider:
ECR:repositorySCALEWAY_CR:namespace/imageDOCKER_HUB:imageorrepository/imagePUBLIC_ECR:registry_alias/repository
tag of the image container
Maximum cpu that can be allocated to the container based on organization cluster configuration. unit is millicores (m). 1000m = 1 cpu
16000
Maximum memory that can be allocated to the container based on organization cluster configuration. unit is MB. 1024 MB = 1GB
16384
Maximum memory that can be allocated to the container based on organization cluster configuration. unit is MB. 1024 MB = 1GB
x >= 02
name is case insensitive
unit is millicores (m). 1000m = 1 cpu
1250
unit is MB. 1024 MB = 1GB
1024
x >= 01
Minimum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: 0 means that there is no container running.
x >= 0Maximum number of instances running. This resource auto-scale based on the CPU and Memory consumption. Note: -1 means that there is no limit.
Indicates if the 'environment preview option' is enabled for this container.
If enabled, a preview environment will be automatically cloned when /preview endpoint is called.
If not specified, it takes the value of the auto_preview property from the associated environment.
Icon URI representing the container.
type of the service (application, database, job, ...)
APPLICATION, DATABASE, CONTAINER, JOB, HELM, TERRAFORM, ARGOCD_APP tag of the image container
give a description to this container
optional entrypoint when launching container
Specify if the container will be automatically updated after receiving a new image tag. The new image tag shall be communicated via the "Auto Deploy container" endpoint https://api-doc.qovery.com/#tag/Containers/operation/autoDeployContainerEnvironments